#!/bin/sh
rm -f .vsntmp
java -version 2> .vsntmp
if test $? -ne 0
then
	echo "*** Cannot find Java run time.  Please check your Java installation and PATH environment variable. ***"
	exit 1
fi
vsnstr=`cat .vsntmp | grep "^java version" |sed "s/java version //g" | sed "s/\"//g"`
vsnstr1=`echo $vsnstr | cut -d. -f1`
vsnstr2=`echo $vsnstr | cut -d. -f2`
rm -f .vsntmp
if [ "$vsnstr1" -lt 1 -o "$vsnstr2" -lt 4 ]
then
	echo "*** Unsupported Java version $vsnstr1.$vsnstr2.  EasyLicenser requires versions 1.4 and above.***"
	exit 2
fi
echo "Using Java version: $vsnstr1.$vsnstr2"
